# NAME

git-annex contentlocation - looks up content for a key

# SYNOPSIS

git annex contentlocation `[key ...]`

# DESCRIPTION

This plumbing-level command looks up filename used to store the content 
of a key. The filename is output to stdout. If the key's content is not
present in the local repository, nothing is output, and it exits nonzero.

# OPTIONS

* `--batch`

  Enable batch mode, in which a line containing the key is read from
  stdin, the filename to its content is output to stdout (with a trailing
  newline), and repeat.

  Note that if a key's content is not present, an empty line is output to
  stdout instead.

* Also the [[git-annex-common-options]](1) can be used.

# SEE ALSO

[[git-annex]](1)

# AUTHOR

Joey Hess <id@joeyh.name>

Warning: Automatically converted into a man page by mdwn2man. Edit with care.
